### Method

# Ide Debugger emit_thread_selected

#### Declaration

    void
    ide_debugger_emit_thread_selected (
      IdeDebugger* self,
      IdeDebuggerThread* thread
    )

#### Description

Emits the `IdeDebugger::thread-selected` signal notifying that a thread has been set as the current debugging thread.

Available since: | 3.32

#### Parameters

`thread` | `IdeDebuggerThread`
| An `IdeDebuggerThread`.
| The data is owned by the caller of the function.